<div class="showLoad text-center" style="padding: 10px;display:none;">
    <img src="/img/loading.gif" alt="loading" style="width:30px;"/>
    Processing...
</div>
<div ng-repeat="shipment in transaction.Shipment track by $index">

    <h3>Package {{$index + 1}}</h3>

    <div class="row" ng-hide="shipment.Package.easypost_rate_id == null">
        <div class="col-sm-6">
            <button ng-show="shipment.easypost_label_url" ng-click="printLabel(shipment)">Print Label</button>
            <div style="width: 80%; overflow: auto">
                <a id="{{shipment.easypost_shipment_id}}" ng-href="{{shipment.easypost_label_url}}"
                   ng-show="shipment.easypost_label_url" target="_blank">
                    <img ng-hide="shipment.easypost_label_url == ''" class="img-responsive"
                         ng-src="{{shipment.easypost_label_url}}" alt="Downloading label...">
                </a>
            </div>
            <br/><br/>
            <div class="alert alert-info" ng-show="!shipment.easypost_label_url">Label not purchased yet</div>
        </div>

        <div class="col-sm-6">
            <button id="btnGenerateLabel" type="button" data-ng-show="!shipment.easypost_label_url"
                    data-ng-click="transactionApi.generateLabel(shipment, transaction)">
                {{transactionApi.postageButtonText(transaction, shipment)}}
            </button>
        </div>

        <div class="col-sm-12 col-md-12" ng-show="shipment.easypost_customs_form">
            <strong>Customs Forms:</strong> <br/>
            <object width="100%" height="450px" data="{{shipment.easypost_customs_form}}" type="application/pdf">
                <embed src="{{shipment.easypost_customs_form}}" type="application/pdf"/>
            </object>
        </div>
    </div>

    <div class="row" ng-show="shipment.Package.easypost_rate_id == null">
        EasyPost Rate not selected yet
    </div>
    <hr>

</div>
